# Generated by Django 4.2.4 on 2023-11-28 18:01

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("wrinklypages", "0002_alter_urlspace_url"),
    ]

    operations = [
        migrations.RenameModel(
            old_name="RedirectGroup",
            new_name="RedirectDestination",
        ),
        migrations.RemoveConstraint(
            model_name="urlspace",
            name="if_url_is_redirect_then_url_has_redirectgroup",
        ),
        migrations.RemoveField(
            model_name="urlspace",
            name="redirect_group",
        ),
        migrations.AddField(
            model_name="urlspace",
            name="redirect_destination",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="wrinklypages.redirectdestination",
                verbose_name="Maybe Redirect Destination",
            ),
        ),
        migrations.AlterField(
            model_name="urlspace",
            name="contenttype",
            field=models.CharField(
                choices=[
                    (None, "(Unknown)"),
                    ("Rg", "Redirect Destination"),
                    ("Wp", "Wrinkly Page"),
                    ("Re", "Reserved"),
                ],
                default="Re",
                max_length=2,
                verbose_name="Content type",
            ),
        ),
        migrations.AddConstraint(
            model_name="urlspace",
            constraint=models.CheckConstraint(
                check=models.Q(
                    models.Q(("contenttype", "Rg"), _negated=True),
                    ("redirect_destination__isnull", False),
                    _connector="OR",
                ),
                name="if_url_is_redirect_then_url_has_redirectdestination",
            ),
        ),
    ]
